Subject: Re: kernel ported from ELDK 3.0 hangs (loops in idled()) on my custom MPC870 Board

From: Edward Hong <[email-masked]>
Date: Sun, 5 Jun 2005 23:33:09 -0600

On 6/4/05, Wolfgang Denk <[email-masked]> wrote:
>=20
> With "beginning of init" you mean init() in "init/main.c", right?
> So gets rest_init() called?
> Did you add a few printk's to start_kernel()?
> How far does it get?
>=20
Yes. rest_init() got called and executed kernel_thread(init,...) ...
and got into cpu_idle().
> > Any suggestions for debugging?
>=20
> Attach a BDI2000 and start GDB...
>=20
I have a BDI2000. But I am not sure how to further debug in my
situation since I know the kernel execution was looping inside
idled().

Thank you!

Edward